GRPC C++ 0.10.0.0

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions
grpc::SecureAuthContext Class Reference

`#include <secure_auth_context.h>`

## Public Member Functions
| SecureAuthContext (grpc_auth_context *ctx)
| ~SecureAuthContext () GRPC_OVERRIDE
std::vector< grpc::string > | GetPeerIdentity () const GRPC_OVERRIDE
grpc::string | GetPeerIdentityPropertyName () const GRPC_OVERRIDE
std::vector< grpc::string > | FindPropertyValues (const grpc::string &name) const GRPC_OVERRIDE
AuthPropertyIterator | begin () const GRPC_OVERRIDE
AuthPropertyIterator | end () const GRPC_OVERRIDE
Public Member Functions inherited from grpc::AuthContext
virtual | ~AuthContext ()

## Constructor & Destructor Documentation

grpc::SecureAuthContext::SecureAuthContext | ( | grpc_auth_context * | ctx | ) |

grpc::SecureAuthContext::~SecureAuthContext | ( |  | ) |

## Member Function Documentation

AuthPropertyIterator grpc::SecureAuthContext::begin | ( |  | ) | const
| virtual

Implements grpc::AuthContext.

AuthPropertyIterator grpc::SecureAuthContext::end | ( |  | ) | const
| virtual

Implements grpc::AuthContext.

std::vector< grpc::string > grpc::SecureAuthContext::FindPropertyValues | ( | const grpc::string & | name | ) | const
| virtual

Implements grpc::AuthContext.

std::vector< grpc::string > grpc::SecureAuthContext::GetPeerIdentity | ( |  | ) | const
| virtual

Implements grpc::AuthContext.

grpc::string grpc::SecureAuthContext::GetPeerIdentityPropertyName | ( |  | ) | const
| virtual

Implements grpc::AuthContext.

The documentation for this class was generated from the following files:

- src/cpp/common/secure_auth_context.h
- src/cpp/common/secure_auth_context.cc